Name:           gnome-todo
Version:        3.20.2
Release:        1%{?dist}
Summary:        Personal task manager for GNOME

License:        GPLv3+
URL:            https://git.gnome.org/browse/gnome-todo/
Source0:        https://download.gnome.org/sources/%{name}/3.20/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  intltool
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(goa-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libecal-1.2)
BuildRequires:  pkgconfig(libedataserver-1.2)
BuildRequires:  pkgconfig(libedataserverui-1.2)
BuildRequires:  pkgconfig(libical)
BuildRequires:  pkgconfig(libpeas-1.0)
BuildRequires:  /usr/bin/desktop-file-validate
BuildRequires:  /usr/bin/appstream-util

%description
GNOME To Do is a small application to manage your personal tasks. It
uses GNOME technologies, and so it has complete integration with the
GNOME desktop environment.

%package devel
Summary:        Development files needed to write plugins for GNOME To Do

%description devel
%{summary}.

%prep
%autosetup

%build
%configure
%make_build V=1

%install
%make_install

find %{buildroot} -type f -name '*.la' -delete

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Todo.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/org.gnome.Todo.appdata.xml

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
  /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%license COPYING
%doc README AUTHORS NEWS
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Todo.desktop
%{_datadir}/appdata/org.gnome.Todo.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Todo.service
%{_datadir}/glib-2.0/schemas/org.gnome.todo.*.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Todo.png
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Todo-symbolic.svg
%{_libdir}/girepository-1.0/Gtd-1.0.typelib

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Gtd-1.0.gir

%changelog
* Tue May 10 2016 Kalev Lember <klember@redhat.com> - 3.20.2-1
- Update to 3.20.2

* Tue Apr 26 2016 Igor Gnatenko <ignatenko@redhat.com> - 3.20.1-1
- Update to 3.20.1

* Fri Apr 15 2016 David Tardon <dtardon@redhat.com> - 3.20.0-2
- rebuild for ICU 57.1

* Tue Mar 22 2016 Kalev Lember <klember@redhat.com> - 3.20.0-1
- Update to 3.20.0

* Tue Mar 15 2016 David King <amigadave@amigadave.com> - 3.19.92-1
- Update to 3.19.92 (#1317712)

* Thu Mar 03 2016 David King <amigadave@amigadave.com> - 3.19.91-1
- Update to 3.19.91

* Wed Feb 17 2016 David King <amigadave@amigadave.com> - 3.19.90-1
- Update to 3.19.90 (#1309142)

* Tue Feb 16 2016 David King <amigadave@amigadave.com> - 3.19.5-2
- Rebuild for libcamel bump

* Fri Feb 12 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 3.19.5-1
- Update to 3.19.5

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.18.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 18 2016 David Tardon <dtardon@redhat.com> - 3.18.1-2
- rebuild for libical 2.0.0

* Wed Oct 14 2015 David King <amigadave@amigadave.com> - 3.18.1-1
- Update to 3.18.1

* Mon Sep 28 2015 David King <amigadave@amigadave.com> - 3.18.0-3
- Update patch for service file (#1266868)

* Mon Sep 28 2015 David King <amigadave@amigadave.com> - 3.18.0-2
- Fix launching from GNOME Shell (#1266868)

* Mon Sep 21 2015 Kalev Lember <klember@redhat.com> - 3.18.0-1
- Update to 3.18.0

* Mon Sep 14 2015 Kalev Lember <klember@redhat.com> - 3.17.92-1
- Update to 3.17.92

* Wed Sep 02 2015 Kalev Lember <klember@redhat.com> - 3.17.91-1
- Update to 3.17.91

* Tue Jul 21 2015 David King <amigadave@amigadave.com> - 3.17.4-1
- Update to 3.17.4

* Thu Jun 25 2015 David King <amigadave@amigadave.com> - 3.17.3.1-1
- Update to 3.17.3.1

* Tue Jun 23 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 3.17.3-1
- Initial package
